Subject: bug#5234: 23.1; move-to-(end|beginning)-of-line return value

From: "Drew Adams" <[email-masked]>
Date: Wed, 16 Dec 2009 10:27:58 -0800

emacs -Q
 
It is not documented, but move-to-beginning-of-line returns the
position (since it ends by calling goto-char, which returns point),
whereas move-to-end-of-line does not.
 
Call it an enhancement request, if you like, but I think it would be
handy for both to return the position, just like goto-char does. And
it is good for both functions to return the same kind of thing.

In GNU Emacs 23.1.1 (i386-mingw-nt5.1.2600)
 of 2009-07-29 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4)'